/*
 * irc_std.h: header to define things used in all the programs ircii
 * comes with
 *
 * hacked together from various other files by matthew green
 * copyright(c) 1993 
 *
 * See the copyright file, or do a help ircii copyright 
 *
 * @(#)$Id: irc_std.h,v 1.10 1994/07/23 16:26:53 mrg Exp $
 */

#ifndef __irc_std_h
#define __irc_std_h

#include "defs.h"

/* some systems like to define these themselves. blah. */

#ifndef __GNUC__
#define __inline		/* delete gcc keyword */
#define __A(x)
#define __N
#else
#define __A(x) __attribute__ ((format (printf, x, x + 1)))
#define __N    __attribute__ ((noreturn))
#endif

/* I took this from the autoconf documentation... */
#ifdef __GNUC__
# define alloca __builtin_alloca
#else
# if HAVE_ALLOCA_H
#  include <alloca.h>
# else
#  ifdef _AIX
 #pragma alloca
#  else
#   ifndef alloca
char *alloca();
#   endif
#  endif
# endif
#endif

#include <errno.h>
extern	int	errno;

#ifdef NULL
#undef NULL
#endif
#define NULL (void *) 0

#ifndef NBBY
# define NBBY	8		/* number of bits in a byte */
#endif /* NBBY */

#ifndef NFDBITS
# define NFDBITS	(sizeof(long) * NBBY)	/* bits per mask */
#endif /* NFDBITS */

#ifdef HAVE_SYS_SYSLIMITS_H
# include <sys/syslimits.h>
#endif

#include <limits.h>

typedef RETSIGTYPE sigfunc (int);
sigfunc *my_signal (int, sigfunc *);

#include <string.h>
#include <stdlib.h>
#undef index
#define index strchr

#ifndef MAXPATHLEN
#define MAXPATHLEN  PATHSIZE
#endif

#ifndef HAVE_STRERROR
# ifndef SYS_ERRLIST_DECLARED
extern	char	*sys_errlist[];
# endif
#define strerror(x) sys_errlist[x];
#endif

/* Leave me alone. */
#ifdef __linux__
typedef void *scandir_arg3;
typedef void *scandir_arg4;
#else
typedef int (*scandir_arg3) ();
typedef int (*scandir_arg4) (const void *, const void *);
#endif

/* we need an unsigned 32 bit integer for dcc, how lame */

#ifdef UNSIGNED_LONG32
  typedef		unsigned long		u_32int_t;
#else
# ifdef UNSIGNED_INT32
  typedef		unsigned int		u_32int_t;
# else
  typedef		unsigned long		u_32int_t;
# endif
#endif

#endif /* __irc_std_h */
