/*
 * list.h: header for list.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: list.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _LIST_H_
#define _LIST_H_

#include "irc_std.h"

typedef	struct	list_stru
{
	struct	list_stru	*next;
	char	*name;
}	List;

extern	void	add_to_list 		(List **, List *);
extern	List	*find_in_list 		(List **, char *, int);
extern	List	*remove_from_list 	(List **, char *);
extern	List	*list_lookup 		(List **, char *, int, int);
extern	List	*remove_from_list_ext 	(List **, char *, int (*) (List *, char *));
extern	void	add_to_list_ext 	(List **, List *, int (*) (List *, List *));
extern	List	*find_in_list_ext 	(List **, char *, int, int (*) (List *, char *));

#define REMOVE_FROM_LIST 1
#define USE_WILDCARDS 1

#endif /* _LIST_H */
