/*
 * who.h -- header info for the WHO, ISON, and USERHOST queues.
 * Copyright 1996 EPIC Software Labs
 */

#ifndef __who_h__
#define __who_h__

#include "commands.h"

void clean_server_queues (void);


typedef struct WhoEntryT
{
	int  dirty;
        int  who_mask;
        char *who_name;
        char *who_host;
        char *who_server;
        char *who_nick;
        char *who_real;
	char *who_stuff;
	char *who_end;
        struct WhoEntryT *next;
	void (*line) (char *, char **);
	void (*end) (char *, char **);

} WhoEntry;

void whocmd (char *, char *, char *);
void whobase (char *, void (*)(char *, char **), void (*)(char *, char **));
void whoreply (char *, char **);
void who_end (char *, char **);

typedef struct IsonEntryT
{
	char *ison_asked;
	char *ison_got;
	struct IsonEntryT *next;
	void (*line) (char *, char *);
} IsonEntry;

void isoncmd(char *, char *, char *);
void isonbase (char *args, void (*line) (char *, char *));
void ison_returned (char *, char **);

#if 0
typedef struct UserhostEntryT
{
	char *userhost_asked;
	char *userhost_got;
	struct UserhostEntry *next;
	void (*line) (char *, char **);
} UserhostEntry;

BUILT_IN_COMMAND(userhost);
void userhostbase(char *arg, void (*line) (char *, char *));

#endif
#endif 
