/*
 * whois.h: header for whois.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: whois.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _WHOIS_H_
#define _WHOIS_H_

#include "irc_std.h"

typedef	struct	WhoisStuffStru
{
	char	*nick;
	char	*user;
	char	*host;
	char	*channel;
	char	*channels;
	char	*name;
	char	*server;
	char	*server_stuff;
	char	*away;
	int	oper;
	int	chop;
	int	not_on;
}	WhoisStuff;

/* Moved into here, because some weird CC's can't do (void *) */
typedef	struct	WhoisQueueStru
{
	char	*nick;			/* nickname of whois'ed person(s) */
	char	*text;			/* additional text */
	int	type;			/* Type of WHOIS queue entry */
	/*
	 * called with func((WhoisStuff *)stuff,(char *) nick, (char *) text) 
	 */
	void	(*func)();
	struct	WhoisQueueStru	*next;/* next element in queue */
}	WhoisQueue;


extern	void	whois_userhost		(char *, void (*) (), char *);
extern  void    userhost_cmd_returned 	(WhoisStuff *, char *, char *);
extern	void	userhost_returned 	(char *, char **);

extern	void	clean_whois_queue 	(void);

extern	void	set_beep_on_msg 	(char *);
extern	int	beep_on_level;

extern	char	*redirect_format;

#define	USERHOST_USERHOST ((void (*)()) 1)

#endif /* _WHOIS_H_ */
